## r-cran-gridsvg 1.7

=== DESCRIPTION ===
Package: gridSVG
Title: Export 'grid' Graphics as SVG
Version: 1.7-2
Authors@R: c(person("Paul", "Murrell", role = c("cre", "aut"),
                    email = "paul@stat.auckland.ac.nz"),
             person("Simon", "Potter", role = "aut",
                    email = "simon@sjp.co.nz"))
Description: Functions to export graphics drawn with package grid to SVG
  format.  Additional functions provide access to SVG features that
  are not available in standard R graphics, such as hyperlinks, 
  animation, filters, masks, clipping paths, and gradient and pattern fills.
Imports: grDevices, graphics, utils, methods, grid, jsonlite, XML
Suggests: lattice
License: GPL
NeedsCompilation: no
Packaged: 2020-04-27 22:14:48 UTC; pmur002
Author: Paul Murrell [cre, aut],
  Simon Potter [aut]
Maintainer: Paul Murrell <paul@stat.auckland.ac.nz>
Repository: CRAN
Date/Publication: 2020-04-28 05:30:02 UTC

=== inst/doc/Makefile ===
PDFS= animation.pdf extensibility.pdf gridSVG.pdf

all: $(PDFS) 

clean:
	rm -rf *.tex *.bbl *.blg *.aux *.out *.log *.R

%.pdf: %.Rnw
	"$(R_HOME)/bin/R" CMD Sweave --pdf '$*.Rnw'

## r-cran-gridsvg 1.7-2

=== debian/changelog ===
r-cran-gridsvg (1.7-2-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:13:42 +0000

r-cran-gridsvg (1.7-2-2) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 20:04:38 +0200

r-cran-gridsvg (1.7-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 May 2020 11:23:29 +0200

r-cran-gridsvg (1.7-1-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Tue, 07 Apr 2020 08:55:41 +0200

r-cran-gridsvg (1.7-1-1) unstable; urgency=medium

  * Initial release (closes: #955703)

 -- Andreas Tille <tille@debian.org>  Sat, 04 Apr 2020 00:01:08 +0200

=== debian/control ===
Source: r-cran-gridsvg
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-jsonlite,
               r-cran-xml
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridsvg
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridsvg.git
Homepage: https://cran.r-project.org/package=gridSVG
Rules-Requires-Root: no

Package: r-cran-gridsvg
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R export 'grid' graphics as SVG
 Functions to export graphics drawn with package grid to SVG
 format.  Additional functions provide access to SVG features that
 are not available in standard R graphics, such as hyperlinks,
 animation, filters, masks, clipping paths, and gradient and pattern fills.

## r-cran-gridsvg 1.7-4

=== debian/changelog ===
r-cran-gridsvg (1.7-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2022 21:13:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-jsonlite,
                r-cran-xml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridsvg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridsvg.git
 Homepage: https://cran.r-project.org/package=gridSVG

## r-cran-gridsvg 1.7-5

=== debian/changelog ===
r-cran-gridsvg (1.7-5-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 13:32:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-gridsvg
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridsvg
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridsvg.git
+Homepage: https://cran.r-project.org/package=gridSVG
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-jsonlite,
                r-cran-xml
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridsvg
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridsvg.git
-Homepage: https://cran.r-project.org/package=gridSVG
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-gridsvg
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-lattice
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/gridSVG_([-\d.]*)\.tar\.gz

## r-cran-gridsvg 1.7-7

=== debian/changelog ===
r-cran-gridsvg (1.7-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 13:49:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: r-cran-gridsvg
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridsvg
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridsvg.git
-Homepage: https://cran.r-project.org/package=gridSVG
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-jsonlite,
-               r-cran-xml
-Testsuite: autopkgtest-pkg-r
+               r-cran-xml,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridsvg
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridsvg.git
+Homepage: https://cran.r-project.org/package=gridSVG
+Rules-Requires-Root: no
 
 Package: r-cran-gridsvg
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-lattice
Restrictions: allow-stderr
